Bug 184182 - Usability problem in Gnome the desktop environment
Usability problem in Gnome the desktop environment
Product: Fedora
Classification: Fedora
Component: design (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Nickell
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-03-06 19:38 EST by Uno Engborg
Modified: 2008-05-06 11:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:34:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Uno Engborg 2006-03-06 19:38:53 EST
Description of problem:

There is a slight usability problem in Gnome that really should be fixed in a
polished distro.

The problem is that the users Desktop folder doesn't conform to the spatial
behaviour used everywhere else in Gnome. According to this model a folder should
only be visible in on place, and act like if it was a real paper folder you can
hold in your hand.

This is not true for the Desktop folder, a user can open the Desktop folder as a
nautilus window and see the same file twice (on the desktop and in the folder).
This means that a user could be lead to believe that he have duplicate files,
and perhaps even delet one (or as he later find) both of them to save space.

There are two ways to solve this:

1) The Desktop folder could be hidden by using a .hidden file in the home
directory. That would also solve another problem. Today the name of the Deskop
folder as it appears in Nautilus is not internationalized. It is called Desktop
regardless of locale. In every other place where the Desktop is referenced, it
is done in an internationalized manner. This further increases the risk that the
user will think he have duplicate files. E.g. how is a Swedish speaking person
to know that what he have on his "Skrivbord" is the same thing as what he has in
his Desktop folder in Nautilus.

2) Display the dekstop folder using the same type of icon as used for open
folders and make sure that if the folder was double clikcked the real desktop
shoud be active. In this case, active would mean hide all other windows. The
name of the folder should be translated. Preferably the translation should be
done by makeing use of .desktop files. This way ths name Desktop could still be
used programatically.

I would prefer the first solution where the folder was hidden. It worked well
for MacOS-9 that also used the spatial paradigm. If done by by using a .hidden
file in the users home directory it would be easy to get the old behavior back
without any advanced programming. It would also leave KDE unaffected which is
good as KDE uses a navigaional desktop model that have no problem displaying
a folder multiple times.
Comment 1 Matthew Miller 2007-04-06 13:04:44 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Uno Engborg 2007-04-06 16:10:24 EDT
The problem remains in FC6.
Comment 3 Matthew Miller 2007-04-06 16:11:18 EDT
Comment 4 Bug Zapper 2008-04-03 22:09:44 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 11:34:56 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.